import { jsx } from "react/jsx-runtime";
import { TokenMYRIA as TokenMYRIA$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenMYRIA = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "MYRIA", "data-name": "TokenMYRIA", ...props, children: /* @__PURE__ */ jsx(TokenMYRIA$1, { variant }) });
  }
);
TokenMYRIA.displayName = "TokenMYRIA";
Object.assign(TokenMYRIA, { isGdsIcon: true });
export {
  TokenMYRIA
};
